---
title: Cloud Connector Now Supports R2
description: Cloud Connector now integrates with Cloudflare R2 for object storage.
image: https://developers.cloudflare.com/changelog-preview.png
---

> Documentation Index  
> Fetch the complete documentation index at: https://developers.cloudflare.com/changelog/llms.txt  
> Use this file to discover all available pages before exploring further. 

[Skip to content](#%5Ftop) 

# Changelog

New updates and improvements at Cloudflare.

[ Subscribe to RSS ](https://developers.cloudflare.com/changelog/rss/index.xml) [ View RSS feeds ](https://developers.cloudflare.com/fundamentals/new-features/available-rss-feeds/) 

![hero image](https://developers.cloudflare.com/_astro/hero.CVYJHPAd_26AMqX.svg) 

[ ← Back to all posts ](https://developers.cloudflare.com/changelog/) 

## Cloud Connector Now Supports R2

Nov 22, 2024 

[ Rules ](https://developers.cloudflare.com/rules/) 

Now, you can use [Cloud Connector](https://developers.cloudflare.com/rules/cloud-connector/) to route traffic to your [R2 buckets](https://developers.cloudflare.com/r2/) based on URLs, headers, geolocation, and more.

Example setup:

Terminal window

```
curl --request PUT \"https://api.cloudflare.com/client/v4/zones/{zone_id}/cloud_connector/rules" \--header "Authorization: Bearer <API_TOKEN>" \--header "Content-Type: application/json" \--data '[  {    "expression": "http.request.uri.path wildcard \"/images/*\"",    "provider": "cloudflare_r2",    "description": "Connect to R2 bucket containing images",    "parameters": {      "host": "mybucketcustomdomain.example.com"    }  }]'
```

Get started using [Cloud Connector](https://developers.cloudflare.com/rules/cloud-connector/) documentation.

```json
{"@context":"https://schema.org","@type":"BlogPosting","@id":"https://developers.cloudflare.com/changelog/post/2024-11-22-cloud-connector-r2/#page","headline":"Cloud Connector Now Supports R2 · Changelog","description":"Cloud Connector now integrates with Cloudflare R2 for object storage.","url":"https://developers.cloudflare.com/changelog/post/2024-11-22-cloud-connector-r2/","inLanguage":"en","image":"https://developers.cloudflare.com/changelog-preview.png","dateModified":"2024-11-22","datePublished":"2024-11-22","publisher":{"@type":"Organization","name":"Cloudflare","url":"https://www.cloudflare.com/"},"isPartOf":{"@type":"WebSite","@id":"https://developers.cloudflare.com/#website","name":"Cloudflare Docs","url":"https://developers.cloudflare.com/"}}
```
